CREATE TABLE doo_task_batch_requests (
    BATCH_REQUEST_ID                 NUMBER(18, 0) ,
    BATCH_ACTION_REQUEST_ID          NUMBER(18, 0) ,
    REQUEST_GUID                     VARCHAR2(128)     NOT NULL,
    RECORD_TYPE                      VARCHAR2(120)     NOT NULL,
    RECORD_NUMBER                    NUMBER(18, 0) ,
    TASK_INSTANCE_ID                 NUMBER(18, 0) ,
    TASK_STATUS                      VARCHAR2(120) ,
    GROUP_ID                         NUMBER(18, 0) ,
    STEP_ID                          NUMBER(18, 0) ,
    STEP_NAME                        VARCHAR2(320) ,
    STEP_INSTANCE_ID                 NUMBER(18, 0) ,
    PARENT_GROUP_ID                  NUMBER(18, 0) ,
    HEADER_ID                        NUMBER(18, 0) ,
    PROCESS_ID                       NUMBER(18, 0) ,
    SPLIT_PROCESSING_MODE            VARCHAR2(120) ,
    SERVICE_NAME                     VARCHAR2(320) ,
    SPLIT_UNIT_NAME                  VARCHAR2(120) ,
    PROCESS_VERSION                  NUMBER(18, 0) ,
    PROCESS_INSTANCE_ID              NUMBER(18, 0) ,
    GROUP_SET_NAME                   VARCHAR2(320) ,
    GROUP_SET_TYPE                   VARCHAR2(120) ,
    STEP_NUMBER                      NUMBER(9, 0)  ,
    REEXECUTABLE_STEP_FLAG           VARCHAR2(4)   ,
    FULFILL_LINE_ID                  NUMBER(18, 0) ,
    RETURN_STATUS                    VARCHAR2(120) ,
    MODULE_NAME                      VARCHAR2(120) ,
    EXTERNAL_INTERACTION_KEY         VARCHAR2(600) ,
    INTERACTION_KEY                  NUMBER(18, 0) ,
    SOURCE_ORDER_NUMBER              VARCHAR2(200) ,
    SOURCE_LINE_NUMBER               VARCHAR2(200) ,
    FULFILL_LINE_NUMBER              NUMBER(9, 0)  ,
    EXT_FULFILL_LINE_NUMBER          NUMBER(18, 0) ,
    FULFILLMENT_SYS_DOC_HEADER_ID    NUMBER(18, 0) ,
    ERROR_ID                         NUMBER(18, 0) ,
    GROUP_LOCKED_FLAG                VARCHAR2(120) ,
    ESTABLISH_ER_INDICATOR           VARCHAR2(120) ,
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)      NOT NULL,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    ERROR_TEXT                       VARCHAR2(4000),
    BATCH_REQUEST_ID                 NUMBER(18, 0) ,
    REQUEST_GUID                     VARCHAR2(128)     NOT NULL,
    RECORD_TYPE                      VARCHAR2(120)     NOT NULL,
    RECORD_NUMBER                    NUMBER(18, 0) ,
    TASK_INSTANCE_ID                 NUMBER(18, 0) ,
    TASK_STATUS                      VARCHAR2(120) ,
    GROUP_ID                         NUMBER(18, 0) ,
    STEP_ID                          NUMBER(18, 0) ,
    STEP_NAME                        VARCHAR2(320) ,
    STEP_INSTANCE_ID                 NUMBER(18, 0) ,
    PARENT_GROUP_ID                  NUMBER(18, 0) ,
    HEADER_ID                        NUMBER(18, 0) ,
    PROCESS_ID                       NUMBER(18, 0) ,
    SPLIT_PROCESSING_MODE            VARCHAR2(120) ,
    SERVICE_NAME                     VARCHAR2(320) ,
    SPLIT_UNIT_NAME                  VARCHAR2(120) ,
    PROCESS_VERSION                  NUMBER(18, 0) ,
    PROCESS_INSTANCE_ID              NUMBER(18, 0) ,
    GROUP_SET_NAME                   VARCHAR2(320) ,
    GROUP_SET_TYPE                   VARCHAR2(120) ,
    STEP_NUMBER                      NUMBER(9, 0)  ,
    REEXECUTABLE_STEP_FLAG           VARCHAR2(4)   ,
    FULFILL_LINE_ID                  NUMBER(18, 0) ,
    RETURN_STATUS                    VARCHAR2(120) ,
    MODULE_NAME                      VARCHAR2(120) ,
    EXTERNAL_INTERACTION_KEY         VARCHAR2(600) ,
    INTERACTION_KEY                  NUMBER(18, 0) ,
    SOURCE_ORDER_NUMBER              VARCHAR2(200) ,
    SOURCE_LINE_NUMBER               VARCHAR2(200) ,
    FULFILL_LINE_NUMBER              NUMBER(9, 0)  ,
    EXT_FULFILL_LINE_NUMBER          NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)      NOT NULL,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    FULFILLMENT_SYS_DOC_HEADER_ID    NUMBER(18, 0) ,
    ERROR_ID                         NUMBER(18, 0) ,
    GROUP_LOCKED_FLAG                VARCHAR2(120) ,
    ESTABLISH_ER_INDICATOR           VARCHAR2(120) ,
    ERROR_TEXT                       VARCHAR2(4000),
    BATCH_ACTION_REQUEST_ID          NUMBER(18, 0) ,
    CONSTRAINT pk_doo_task_batch_requests PRIMARY KEY (BATCH_REQUEST_ID, BATCH_REQUEST_ID)
);
